import java.lang.reflect.Array;
import java.util.Arrays;

public class MyArrayList <T> {
    //Fields:
private Object[] myArray;

// generic Constructors

    public MyArrayList (){
        this.myArray = new Object[0];
    }

    public MyArrayList (int x) {

        this.myArray = new Object[x];
    }

    public Object[] getMyArray() {
        return myArray;
    }

    // generic Methods
    public void add(Object element){
        this.myArray = Arrays.copyOf(myArray, myArray.length+1);
        myArray[myArray.length -1] = element;
    }

    public boolean remove(Object element){
        Object[] tempArray = new Object[myArray.length-1];
        int counter =0;
        for(int i =0; i<myArray.length; i++){
            if(myArray[i] != element){
                tempArray[counter] = myArray[i];
                counter++;
            }
        }
        myArray=tempArray;
        return true;
    }


    public int size(){

        return myArray.length;
    }

    public void set(int index, T element){

         myArray[index] = element;

    }

    public T get(int x){
        return (T) myArray[x];

    }

    public void clear(){
      this.myArray = new Object[0];
    }

    public boolean isEmpty(){
        if(this.myArray.length == 0 ) {
            return true;
        }else{
            return false;
        }
    }


    public Boolean contains(T x) {
        for (int i = 0; i < myArray.length; i++) {
            if (myArray[i] == x) {
                return true;
            }
        }
        return false;
    }

}
