import java.util.Map;

public class MyMap <K,V> {

    //Fields

    private int size;
    private MyArrayList<V> values;
    private MySet<K> keys;

    //Constructor
    public MyMap(){
        size =0;
        values = new MyArrayList<>();
        keys = new MySet<>();
    }

    //Methods

    public int size() {
        return size;
    }

    public void put(K key, V value) {
        if(!keys.contains(key)){
            keys.add(key);
           values.add(value);
           size = size +1;
        } else
            values.set(getKeyIndex(key), value);

    }

    public boolean containsKey(K key){
        return keys.contains(key);

    }

    public boolean containsValue(V value){
        return values.contains(value);

    }

    public V get(K key){
        for(int i =0; i<size(); i++){
            if(keys.get(i) == key)
                return values.get(i);

        }
        return null;


    }

    public int getKeyIndex (K key){

        for( int i =0; i<size(); i++){
            if(keys.get(i) == key)
                return i;

        }
        return -1;
    }

    public boolean isEmpty() {
        return (size == 0);

    }

    public void clear(){
        keys.clear();
        values.clear();
        size = 0;

    }

}
