import org.junit.Assert;
import org.junit.Test;

public class MyMapTest {
    MyMap<Integer, Integer> testMap = new MyMap<>();
    @Test

    public void putTest() {
        //Given
        testMap.put(2, 4);

        //When
        int expected = 1;

        //Then
        Assert.assertEquals(expected, testMap.size());
    }

    @Test
    public void sizeTest(){
        //Given
        testMap.put(3,3);
        testMap.put(2,2);

        //When

        int expected = 2;

        //Then
        Assert.assertEquals(expected, testMap.size());

    }
    @Test
    public void clearTest() {
        // Given
       testMap.put(1, 3);
       testMap.clear();

       //When
       int expected = 0;
      int actual = testMap.size();
      // Then
      Assert.assertEquals(expected, actual);
      }
    @Test
public void IsEmptyTest() {
      // When
        testMap.put(1,3);
      //Then
    Assert.assertFalse(testMap.isEmpty());
  }

 @Test
 public void ContainsKeyTest() {
     // When
      testMap.put(1, 3);
      testMap.put(2,4);
         // Then
  Assert.assertTrue(testMap.containsKey(1));
   }

   @Test
 public void ContainsValueTest() {
    // When
testMap.put(1, 3);
      // : Then
      Assert.assertTrue(testMap.containsValue(3));
    }





}
