import org.junit.Assert;
import org.junit.Test;

import static org.junit.Assert.*;

public class MySetTest {


    @Test
    public void addTrueTest() {
        //Given
        MySet<Integer> TestSet = new MySet<Integer>();
       TestSet.add(13);

        //Then
        boolean actual = TestSet.contains(13);

        //When
        Assert.assertTrue(actual);
    }
    @Test
    public void addFalseTest() {
        //Given
        MySet<Integer> TestSet = new MySet<Integer>();
        TestSet.add(13);

        //Then
        boolean actual = TestSet.add(13);

        //When
        Assert.assertFalse(actual);
    }

    @Test
    public void sizeTest() {
        //Given
        MySet<Integer> TestSet = new MySet<Integer>();
        TestSet.add(1);
        TestSet.add(4);

        //Then
        int expected = 2;
        int actual = TestSet.size();
        //When
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void clearTest() {
        //Given
        MySet<Integer> TestSet = new MySet<Integer>();
        TestSet.add(3);
        TestSet.add(4);
        TestSet.add(5);
        TestSet.clear();

        //Then
        int expected = 0;
        int actual = TestSet.size();

        //WHen
        Assert.assertEquals(expected, actual);

    }

    @Test
    public void removeTest() {
        //Given
        MySet<Integer> TestSet = new MySet<Integer>();
        TestSet.add(3);
        TestSet.add(4);
        TestSet.remove(3);


        //When
        Assert.assertFalse(TestSet.contains(3));
    }

    @Test
    public void isEmptyTest() {
        //Given
        MySet<Integer> TestSet = new MySet<Integer>();
        TestSet.add(3);
        TestSet.add(4);
        TestSet.clear();

        //Then
        Assert.assertTrue(TestSet.isEmpty());


    }

    @Test
    public void containsTest() {
        //Given
        MySet<Integer> TestSet = new MySet<Integer>();
        TestSet.add(5);
        TestSet.add(7);

        //Then
        Assert.assertTrue(TestSet.contains(7));

    }
}